import junit.framework.Assert;
import junit.framework.Test;
import junit.framework.TestCase;
import junit.framework.TestSuite;

public class SecondTest extends TestCase {

	private Hello hello;

	public SecondTest(String name) {
		super(name);
	}

	public SecondTest() {
		super();
	}

	protected void setUp() throws Exception {
		hello = new Hello();
	}

	public void testRomana() {
		Assert.assertEquals("Buna!", hello.sayHello("romana"));
	}

	public void testGermana() {
		Assert.assertEquals("Guten Tag!", hello.sayHello("germana"));
	}

	public void testSpaniola() {
		Assert.assertEquals("Hola!", hello.sayHello("spaniola"));
	}

	public void testNull() {
		try {
			Assert.assertNull(hello.sayHello(null));
			Assert.fail();
		} catch (IllegalArgumentException e) {

		}
	}

	public static Test suite() {
		TestSuite suite = new TestSuite();
		suite.addTest(new SecondTest("romana") {

			protected void runTest() {
				testRomana();
			}
		});
		suite.addTest(new SecondTest("germana") {

			protected void runTest() {
				testGermana();
			}
		});
		suite.addTest(new SecondTest("spaniola") {

			protected void runTest() {
				testSpaniola();
			}
		});
		suite.addTest(new SecondTest("null") {

			protected void runTest() {
				testNull();
			}
		});
		return suite;
	}
}
